


# Firearms Modlet (A17 full release)

## Requirements:
Requires Alpha 17 version of 7 Days to Die. Will not work on A16.4 or lesser.
Suggested for minigun that you have decent framerates. Pixle textures on fire may cause FPS drops in lower end clients.
Some guns will skip your game upon loading in the hotbar. Their file size is quite large. Fix coming soon hopefully.

## About this Modlet:
Custom Weapons and Attachments (ACOG only at the moment)
Fully craftable, gated by progression, added to open world loot table, fully repairable/modable, custom audio, custom fire rates, custom damage and modifiers, and best of all, custom sighting.
This entire mod is writen in xpath, no edits needed to any core files. Sadly, no localization.txt yet, so no ingame info text menu. All other UI works/functions perfectly.
Silencers are finely tuned for game balance. Using a silencer will now reduce the amount of zombies in the surround area that flock to your POI, and inside alerts. You can now strategically move through a building and pick zombies off one by one with percision aim!

[Showcase of the Silencer Changes](https://youtu.be/aWac7jp1qVE)

[For reference, old silencer on an AK](https://youtu.be/aWac7jp1qVE)

Modlet also comes with a placeable Target block with a center mark. Craftable at a very low cost for easy target use with friends! [Preview of how the target works](https://www.youtube.com/watch?v=YNcjQHJT3hE)

![Main Image](https://i.imgur.com/RvuLBup.png)

## Crafting requirements and information:
All guns and ammo are tied to progression system for crafting. This is located as a NEW perk under INTELLECT Attribute: Craftsmanship Perks. [Preview video](https://www.youtube.com/watch?v=Ca4bFOUGNZs)
All guns and ammo are tied together via progression. When you unlock the firearm, you unlock the ammunition as well.


[Pistol video](https://www.youtube.com/watch?v=AlLnYDOpWfA)
- Luger
- 338 Snubnose
- 1911
- Glock 40
- Desert Eagle


[SMG and Shotgun video](https://www.youtube.com/watch?v=LpDKkGG8qmY)
- Uzi
- Klob
- MP40
- Double Barrel Shotgun
- Spaz12

[Rifles and ACOG scope video](https://www.youtube.com/watch?v=XfSJtoid9qw&t=1s)
- Assault Rifle
- AR15
- M4A1
- SCAR
- M1

[Large Weapons video](https://www.youtube.com/watch?v=pXYxlZl0lSA)
- M249 Saw
- M240
- M82

- Golden Gun
- Chaingun


## CRAFTING COSTS:

Most guns are based off of existing ingame components (Steel, Forged Iron, Mechanical Parts, Duct Tape, Glue, Wood, etc). The cost for these weapons is high, especially end-game weapons such as the Chaingun and Golden Gun.


## How to install
- Navagate to your 7 Days to Die Directory (default: C:/ProgramFiles86/Steam/Steamapps/Common/7DaystoDie)
- Right click anywhere in your MAIN directory (not Data/Configs, not 7DaysToDie_Data), and create New Folder 
- Name New Folder: Mods [Our directory should look similar to something like this](https://imgur.com/a/pm5sJKc)
- Download entire mod pack via GitHub or other Trusted source (I only share via Discord, and GitHub. For my personal mods, do not trust any other source unless verified by me)
- Drag and Drop Firearms modlet into 7 Days To Die/Mods folder. [Our modlet named "Firearms" should show up under the mods directory like so](https://imgur.com/a/YtYmNW3)
- To confirm proper boot, upon loading into a map/server, press F1, and you should see our mod load with the following line: 
`2018-12-28T22:36:15 2.709 INF [MODS] Trying to load from Firearms`
`2018-12-28T22:36:15 2.709 INF [MODS] Loaded Mod: Firearms (1.0)`

## For more information, or general help:
- https://www.youtube.com/channel/UCsmHsTmsfrhFUnhSknv7Trw?view_as=subscriber
- https://steamcommunity.com/id/Jayick/
- Discord: https://discord.gg/7daystodie

## A special thankyou!
A special thankyou to the following people, without their help, advice, and guidance this work would not be possible. These people are the backbone to our community, lending their skills to us all so we can complete amazing pieces of art for everyone to enjoy! Very much respect and admiration for these creators!
- Ynd21

- Sphereii

- Vedui

[youtube](https://www.youtube.com/channel/UC9DgwaUiqcNO9oUuiFQMh6w)

[twitch](https://www.twitch.tv/Vedui42)

[twitter](https://twitter.com/Vedui42)

- XythQ 

[youtube](https://www.youtube.com/channel/UCUAR3Bc_Z97lyT4zeI3-dcg) 

[github](https://github.com/7D2D)

- JaxTeller

[Github](https://github.com/JaxTeller718/JaxModlets)

[Ravenhearst](https://ravenhearst.enjin.com/)

[youtube](https://www.youtube.com/channel/UCNVr9JmOGFpD4RCu4vUZfog/featured?view_as=subscriber)

[nexus](https://www.nexusmods.com/users/48679478)
- Khaine 

[youtube](https://www.youtube.com/channel/UC3yu4ucbt_3_KJAki5jncBg)

All assets are paid/licensed for free use/royalty free. 
